<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 19/6/2018
 * Time: 3:29 AM
 */

include '../comun/validarSesion.php';
include '../comun/notificacion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $Notificar = new Notificacion();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['tipo'])) {
            $id = $Valido->retornarIdToken($_REQUEST['token']);
            $usuario  = R::load('usuario', $id);
            $condominio = $usuario['condominio_id'];
            $vigilantesid = array();
            $vigilantes = R::findAll('usuario', 'condominio_id =:condominio AND tipo_usuario =:tipo_usuario AND estado =:estado', array('condominio' => $condominio, 'tipo_usuario' => '5', 'estado' => '1'));
            foreach ($vigilantes as $valor) {
                array_push($vigilantesid,$valor['id']);
            }
            $vigilantesaddresses = array();
            foreach ($vigilantesid as $valor) {
                $empresaseguridad = R::findOne( 'directorionotificacion', ' id_usr = ? ', [$valor] );
                if(strlen($empresaseguridad['token_notificacion'])>2){
                    array_push($vigilantesaddresses,$empresaseguridad['token_notificacion']);
                    $incidente = R::dispense('incidente');
                    $incidente->id_usuario = $id;
                    $incidente->id_seguridad = $valor;
                    $incidente->tipo_incidente = $_REQUEST['tipo'];
                    $incidente->fecha_registro = date('Y-m-d H:i:s');
                    $incidente->comentario = '';
                    $incidente->estado = 1;
                    $in = R::store($incidente);
                }
            }
                $motivo = 'Emergencia';
                switch ($_REQUEST['tipo']) {
                case 1:
                    $motivo = "Robo";
                    break;
                case 2:
                    $motivo = "Incendio";
                    break;
                case 3:
                    $motivo = "Apagón";
                    break;
                case 4:
                    $motivo = "Accidente";
                    break;
            }
            $mensaje = "El usuario: ".$usuario['nombre']." Ubicado en ".$usuario['direccion']." teléfono: ".$usuario['telefono']." Ha mandado un alerta de seguridad por: ".$motivo;
            if (sizeof($vigilantesaddresses>0)){
                $Notificar->grupal($mensaje, $vigilantesaddresses);
                include '../comun/mensajeOk.php';
                $data = array("message" => "Alerta enviada, en momentos tu solicitud será atendida");
                print_r(json_encode($data));
            }else{
                include '../comun/mensajeOk.php';
                $data = array("message" => "No hay personal de seguridad en el condominio");
                print_r(json_encode($data));
            }



        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}